## GgitBlobOutputStream GgitBlobOutputStream |

## Functions

GgitOId * | ggit_blob_output_stream_get_id ()

## Properties

GgitRepository * | repository | Write / Construct Only

## Types and Values

| GgitBlobOutputStream
struct | GgitBlobOutputStreamClass

## Object Hierarchy

        GObject
        ╰── GOutputStream
            ╰── GgitBlobOutputStream

## Description

## Functions

### ggit_blob_output_stream_get_id ()

    GgitOId *
    ggit_blob_output_stream_get_id (GgitBlobOutputStream *stream,
                                    GError **error);

Get the id of the written blob. The blob id is only available after the stream has been properly closed. If an error occurred while writing the blob, the `NULL` is returned and `error` is set accordingly.

#### Parameters

stream | a GgitBlobOutputStream. |
error | a GError for error reporting, or `NULL`. |

#### Returns

a GgitOId or `NULL`.

[transfer full]

## Types and Values

### GgitBlobOutputStream

    typedef struct _GgitBlobOutputStream GgitBlobOutputStream;

Represents a blob stream object.

### struct GgitBlobOutputStreamClass

    struct GgitBlobOutputStreamClass {
    };

The class structure for GgitBlobOutputStreamClass.

#### Members

## Property Details

### The `“repository”` property

      “repository”               GgitRepository *

Repository.

Flags: Write / Construct Only